			MicroEMACS  COMMAND  SUMMARY


			     Control Commands

^@	Set region MARK at current position.
^A	Move cursor to BEGINNING of line.
^C	BIND a function to a key.
^B	Move cursor BACK one character.
^D	DELETE character above cursor.
^E	Move cursor to END of line.
^F	Move cursor FORWARD one character.
^G	ABORT any command requiring input.
^H	(Backspace) DELETE previous character.
^I	Insert TAB.
^J	Insert CR/LF, then indent.
^K	KILL (delete) from the current position to the end of the line.
^L	Redisplay screen.
^M	Insert CR/LF.
^N	Move cursor to NEXT line.
^O	OPEN a new line at current position.
^P	Move cursor to PREVIOUS line.
^Q	QUOTE the next character (insert the next literal character typed).
^R	Reverse SEARCH.
^S	Forward SEARCH.
^T	TRANSPOSE current character and next character.
^U	Enter UNIVERSAL REPEAT argument count for next command.
^V	VIEW the next screen (scroll DOWN one screen).
^W	KILL region (all text between cursor and last mark set).
^X	Control-X prefix (see table).
^Y	YANK text from KILL buffer.
^Z	SAVE ALL buffers and EXIT.
ESC	META prefix (see table).
BS	(Backspace) DELETE previous character.
HOME	Goto BEGINNING of current buffer.
END	Goto END of current buffer.
Lt Ar	Move cursor BACK one character.
Rt Ar	Move cursor FORWARD one character.
Up Ar	Move cursor to PREVIOUS line.
Dn Ar	Move cursor to NEXT line.
Pg Up	VIEW previous screen (scroll UP one screen).
Pg Dn	VIEW next screen (scroll DOWN one screen).
INS	OPEN a new line at the current position.
DEL	DELETE character above cursor.
^Lt Ar	Move cursor BACK one WORD.
^Rt Ar	Move cursor FORWARD one WORD.
^Pg Up	Move cursor to BEGINNING of paragraph.
^Pg Dn	Move cursor to END of paragraph.


		      META Commands (ESC is META prefix)

M-^C	Unbind a key from a function.
M-^H	DELETE previous word.
M-^L	Reposition current window with current line at its center.
M-^N	Change the name of the current BUFFER.
M-^R	Query REPLACE occurances of argument string.
M-^V	Scroll next window DOWN one screen.
M-^Z	Scroll next window UP one screen.
M-' '	Set region MARK at current position.
M-?	HELP.
M-!	Reposition current window with current line at its center.
M->	Move cursor to END of BUFFER.
M-<	Move cursor to BEGINNING of BUFFER.
M-B	Move cursor BACK one word.
M-C	CAPITALIZE (Capitalize) next word.
M-D	DELETE next word.
M-F	Move cursor FORWARD one word.
M-G	GOTO line number specified in current buffer.
M-K	ERASE ALL text in current buffer. (Cannot be YANK'ed back!)
M-L	LOWERCASE (lowercase) next word.
M-N	Goto the END of the current paragraph.
M-P	Goto the BEGINNING of thr current paragraph.
M-Q	Fill current paragraph to FILL column.
M-R	REPLACE occurances of argument string (NO QUERY)
M-U	UPPERCASE (UPPERCASE) next word.
M-V	VIEW the previous screen (scroll UP one screen).
M-W	COPY region to KILL buffer.
M-X	EXECUTE named command(s).
M-Z	SAVE ALL buffers and EXIT.
M-~	Mark current buffer UNMODIFIED.
M-<BS>	DELETE previous word.


			      Control-X Commands

^X^^	ENLARGE current window by repeat count <^U> lines.
^X^B	Display list of active BUFFERS.
^X^C	EXIT without saving buffers.
^X^D	Display all commands and bindings in a buffer.
^X^F	FIND a file (read a file into a new buffer and open a window for it).
^X^I	INSERT a file into the current buffer at cursor position.
^X^L	Convert region to LOWERCASE.
^X^M	Delete MODE of the current window.
^X^N	SCROLL current window DOWN by repeat count <^U> lines.
^X^O	DELETE blank (empty) lines.
^X^P	SCROLL current window UP by repeat count <^U> lines.
^X^R	READ file into current buffer.
^X^S	SAVE (write) current buffer into its FILE name.
^X^U	Convert region to UPPERCASE.
^X^V	VIEW a file (same as FIND a file, but file is in read only mode).
^X^W	WRITE current buffer to a file.
^X^X	SWAP point and mark.
^X^Z	SHRINK current window by repeat count <^U> lines.
^X?	Describe a key's binding (Tell what it does).
^X!	Run MS-DOS command in subshell.
^X=	Display status of current window & buffer (position, size, etc.).
^X(	Begin keyboard Macro.
^X)	End keyboard Macro.
^X1	Display only the current window.
^X2	Split the current window.
^XB	Prompt for new BUFFER.
^XC	SPAWN an interactive command sub-shell.
^XE	EXECUTE keyboard Macro.
^XF	Set FILL column.
^XK	KILL a buffer.
^XM	Set MODE of the current window.
^XN	Change the FILENAME of the current buffer.
^XO	Move to NEXT window.
^XP	Move to PREVIOUS window.
^XS	SAVE (write) current buffer into its FILE name.
^XZ	ENLARGE current window by repeat count <^U> lines.

